import request from '/@/utils/request';

export function gasManageApi() {
    return {

        //气体分页列表
        getGasPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasCategory/page`,
                method: 'post',
                data: data
            });
        },

        //气体不分页
        getGas: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasCategory/list`,
                method: 'post',
                data: data
            });
        },

        //气体新增
        addGas: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasCategory/add`,
                method: 'post',
                data: data
            });
        },

        //气体编辑
        editGas: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasCategory/update`,
                method: 'post',
                data: data
            });
        },

        //气体参数配置
        //删除
        delConfig: (param: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasCategoryConfiguration/deleted`,
                method: 'get',
                params: param
            });
        },
        //编辑
        editGasConfig: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasCategoryConfiguration/update`,
                method: 'post',
                data: data
            });
        },
        //新增
        addGasConfig: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/gasCategoryConfiguration/add`,
                method: 'post',
                data: data
            });
        },
    };
}
